<html>
	<body>
		<h5><i>Science and Engineering Ethics (2001) 7, 231-238</i></h5>
<hr/>
	
			<h1>Software Engineering Code of Ethics and Professional Practice</h1>

		<h4>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h4>

<hr/>

<p><strong>Keywords:</strong> code of ethic, professional responsibility, software engineering</p>

		<h4>PREAMBLE</h4>

		<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give example and details od how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistics ans tedious: without the details, the aspirations can become high-sounding but empty; together, the aspiratons and the details from the cohesive code. </p>


		<p>Software engineer shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

	<h4>PRINCIPLES</h4>			

			<p><ol>

				<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
				<li><em>Client and emloyeer.</em> Software engineer shall act in the manner that is in the best interest of their client and employer, consistent with the public interest.</li>
				<li><em>Product.</em>  Software engineers shall ensure that  their products  and related modifications meet the highest professional standard possible.</li>
				<li><em>Judgment.</em> Software engineers shall maintain integrity and independence in their professional judgment.</li>
				<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
				<li><em>Profession.</em> Software engineers shall advance the integrity and the reputation of the profession consistent with the public interest. </li>
				<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
				<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the prctice of the profession.</li>



			</ol>
		</p>
</body>
</html>